Package org.codehaus.groovy.classgen.asm

# Class VariableSlotLoader

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.classgen.BytecodeExpression
org.codehaus.groovy.classgen.asm.VariableSlotLoader

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class VariableSlotLoader extends BytecodeExpression

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.BytecodeExpression

  `NOP`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableSlotLoader(int index, OperandStack os)`
  `VariableSlotLoader(ClassNode type, int index, OperandStack os)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex()`
  `void`
  `visit(org.objectweb.asm.MethodVisitor mv)`

  ### Methods inherited from class org.codehaus.groovy.classgen.BytecodeExpression

  `getText, transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### VariableSlotLoader

    public VariableSlotLoader(ClassNode type, int index, OperandStack os)

  - ### VariableSlotLoader

    public VariableSlotLoader(int index, OperandStack os)

- ## Method Details

  - ### visit

    public void visit(org.objectweb.asm.MethodVisitor mv)
    Specified by:
      `visit` in class `BytecodeExpression`

  - ### getIndex

    public int getIndex()